﻿/**Begin D:\PDM_UPGRADE\PDM1\CDM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CDM_DRAFTBILL_F' AND KSQL_COL_NAME IN ('FGUARANTFLAG')) 
 ALTER TABLE T_CDM_DRAFTBILL_F ADD (FGUARANTFLAG CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CDM_DRAFTBILL_F' AND KSQL_COL_NAME IN ('FGUARANTBIZDATE')) 
 ALTER TABLE T_CDM_DRAFTBILL_F ADD (FGUARANTBIZDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CDM_DRAFTBILL_F' AND KSQL_COL_NAME IN ('FGUARANTTYPE')) 
 ALTER TABLE T_CDM_DRAFTBILL_F ADD (FGUARANTTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CDM_DRAFTBILL_F' AND KSQL_COL_NAME IN ('FGUARANTORTEXT'))
 ALTER TABLE T_CDM_DRAFTBILL_F ADD (FGUARANTORTEXT NVARCHAR(100) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CDM_DRAFTBILL_F' AND KSQL_COL_NAME IN ('FGUARANTCREDITLIMITORG'))
 ALTER TABLE T_CDM_DRAFTBILL_F ADD (FGUARANTCREDITLIMITORG NVARCHAR(100) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CDM_DRAFTBILL_F' AND KSQL_COL_NAME IN ('FGUARANTCREDITLIMIT'))
 ALTER TABLE T_CDM_DRAFTBILL_F ADD (FGUARANTCREDITLIMIT NVARCHAR(100) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CDM_DRAFTBILL_F' AND KSQL_COL_NAME IN ('FGUARANTCREDITCURRENCY'))
 ALTER TABLE T_CDM_DRAFTBILL_F ADD (FGUARANTCREDITCURRENCY BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CDM_DRAFTBILL_F' AND KSQL_COL_NAME IN ('FGUARANTCREDITAMOUNT'))
 ALTER TABLE T_CDM_DRAFTBILL_F ADD (FGUARANTCREDITAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CDM_DRAFTBILL_F' AND KSQL_COL_NAME IN ('FUNGUARANTBIZDATE'))
 ALTER TABLE T_CDM_DRAFTBILL_F ADD (FUNGUARANTBIZDATE DATETIME );
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CDM_GUARANTEE_DISCOUNT') 
 CREATE TABLE T_CDM_GUARANTEE_DISCOUNT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(80) DEFAULT ' ' NOT NULL,
FBIZDATE DATETIME,
FTRADETYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FTRADEBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FDRAFTTYPEID BIGINT DEFAULT 0 NOT NULL,
FRPTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCOUNT INT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCREDITACTUALAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCREDITTOTALAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FDESCRIPTION VARCHAR(600) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
FGUARANTEEBASETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FGUARANTEETYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FGUARANTORID BIGINT DEFAULT 0 NOT NULL,
FGUARANTORTEXT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDISCOUNTORG BIGINT DEFAULT 0 NOT NULL,
FCREDITLIMITORG BIGINT DEFAULT 0 NOT NULL,
FCREDITTYPE BIGINT DEFAULT 0 NOT NULL,
FCREDITLIMITID BIGINT DEFAULT 0 NOT NULL,
FCREDITCURRENCY BIGINT DEFAULT 0 NOT NULL,
FSUPPORTBANKDRAFT CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CDM_GUARANTE_DRAFTENTRY')
 CREATE TABLE T_CDM_GUARANTE_DRAFTENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCREDITAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FDRAFTBILLID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CDM_GUARANTEE_DISCOUNT_L') 
 CREATE TABLE T_CDM_GUARANTEE_DISCOUNT_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CDM_DRAFTBILL_F' AND KSQL_COL_NAME IN ('FTRADETYPE'))
 ALTER TABLE T_CDM_DRAFTBILL_F ADD (FTRADETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CDM_DRAFTBILL_F' AND KSQL_COL_NAME IN ('FEBSTATUS'))
 ALTER TABLE T_CDM_DRAFTBILL_F ADD (FEBSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CDM_DRAFTBILL_F' AND KSQL_COL_NAME IN ('FGUARANTEEID'))
 ALTER TABLE T_CDM_DRAFTBILL_F ADD (FGUARANTEEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CDM_GUARANTE_DRAFTENTRY' AND KSQL_COL_NAME IN ('FENTRYCREDITAMOUNT'))
 ALTER TABLE T_CDM_GUARANTE_DRAFTENTRY ADD (FENTRYCREDITAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CDM_GUARANTE_DRAFTENTRY' AND KSQL_COL_NAME IN ('FENTRYCREDITLIMITORG'))
 ALTER TABLE T_CDM_GUARANTE_DRAFTENTRY ADD (FENTRYCREDITLIMITORG VARCHAR(100) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CDM_GUARANTE_DRAFTENTRY' AND KSQL_COL_NAME IN ('FENTRYCREDITLIMIT'))
 ALTER TABLE T_CDM_GUARANTE_DRAFTENTRY ADD (FENTRYCREDITLIMIT VARCHAR(100) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CDM_GUARANTE_DRAFTENTRY' AND KSQL_COL_NAME IN ('FENTRYGUARANTTYPE'))
 ALTER TABLE T_CDM_GUARANTE_DRAFTENTRY ADD (FENTRYGUARANTTYPE VARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CDM_GUARANTE_DRAFTENTRY' AND KSQL_COL_NAME IN ('FENTRYGUARANTORTEXT'))
 ALTER TABLE T_CDM_GUARANTE_DRAFTENTRY ADD (FENTRYGUARANTORTEXT VARCHAR(100) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CDM_GUARANTE_DRAFTENTRY' AND KSQL_COL_NAME IN ('FENTRYBIZDATE'))
 ALTER TABLE T_CDM_GUARANTE_DRAFTENTRY ADD (FENTRYBIZDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CDM_GUARANTE_DRAFTENTRY' AND KSQL_COL_NAME IN ('FGUARANTEEID'))
 ALTER TABLE T_CDM_GUARANTE_DRAFTENTRY ADD (FGUARANTEEID BIGINT DEFAULT 0 NOT NULL );



/**End D:\PDM_UPGRADE\PDM1\CDM_table.sql **/
